#include <stdio.h>
#include <sys/types.h>
#include <errno.h>
#include <netinet/in.h>
#include <netdb.h>
#include <sys/socket.h>


struct hostent *get_host(lookup)
char *lookup;
{
  struct sockaddr_in addr;
  u_long inaddr;
  struct hostent *host;
  
  bzero((char *)&addr,sizeof(addr));
  addr.sin_family=AF_INET;
  
  if (is_ip(lookup))
  {
	inaddr=inet_addr(lookup);
	if (inaddr!=0xffffffff)
    {  bcopy((char *)&inaddr,(char *)&addr.sin_addr,sizeof(inaddr));  }
	else 
	{
      printf("%s is not a valid dotted address.\n",lookup);
      exit(0);
    }
	host=gethostbyaddr((char *) &addr.sin_addr,
					   sizeof(struct in_addr),addr.sin_family);
  }
  else {
	host=gethostbyname(lookup); }

  if(host) {
	return host; }
  else {
	return NULL; }
}

int is_ip (address)
char *address;
{
  while (isdigit (*address) || (*address == '.'))
	*address++;
  if (*address == '\0') return 1;
  else return 0;
}
